API ReferenceFunctions
Update function
Update custom function settings (system functions cannot be modified).
Authorization
sessionAuth AuthorizationBearer <token>
NextAuth session token
In: header
Path Parameters
orgId*string
Format
uuidid*string
Format
uuidRequest Body
application/json
name?string
description?string
isEnabled?boolean
config?object
category?string
icon?string
Response Body
application/json
curl -X PATCH "https://platform.autophone.org/api/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/functions/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "isEnabled": true, "description": "Updated description" }'{
"function": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
"name": "string",
"description": "string",
"type": "prebuilt",
"category": "string",
"icon": "string",
"config": {},
"isEnabled": true,
"isSystem": false,
"createdAt": "2019-08-24T14:15:22Z"
}
}Empty
Empty
Empty
Empty